@font-face {
    font-family: 'Montserrat';
    src: url('/assets/v3/fonts/Montserrat.ttf') format('truetype');
}
@font-face {
    font-family: 'Museo';
    src: url('/assets/v3/fonts/MuseoRegular.ttf') format('truetype');
}

html, body {
    margin: 0;
    padding: 0;
    background: #111;
    color: #f1f1f1;
    font-family: 'Museo', sans-serif;
}

a {
    color: #fff;
    text-decoration: none;
    transition: 0.3s;

}
a:hover {
    color: #ce1f1c;
}

.title {
    font-size: 32px;
    color: #f1f1f1;
    text-align: center;
    margin-top: 12px;
    margin-bottom: 12px;
}

.pages {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}
.pages span {
    width: 36px;
    height: 36px;
    background-color: #ce1f1c;
    text-align: center;
    line-height: 36px;
    border-radius: 12px;
}
.pages a {
    width: 36px;
    height: 36px;
    line-height: 36px;
    text-align: center;
    transition: 0.3s;
}
.pages a:hover {
    transition: 0.3s;
    cursor: pointer;
    background-color: #ce1f1c;
    border-radius: 12px;
    color: #f1f1f1;
}

.mt-8 { margin-top: 8px }
.mt-24 { margin-top: 24px }

#error {
    text-align: center;
    color: #ce1f1c;
    margin-top: 8px;
}

/* header */

.header {

}
.header_menu {
    background: #222;
    height: 72px;
}
.header_logo {
    display: flex;
    height: 72px;
    align-items: center;
    gap: 6px;
}
.header_logo a {
    color: #ce1f1c;
    font-weight: bold;
    font-size: 28px;
}
.top_menu {
    text-align: right;
    display: flex;
    height: 24px;
    align-items: center;
    justify-content: flex-end;
    gap: 8px;
}
.top_menu a {
    color: #666;
    transition: 0.3s;
}
.top_menu a:hover {
    color: #ce1f1c;
    transition: 0.3s;
}

.header_point {
    display: flex;
    gap: 12px;
    justify-content: flex-start;
}


.mob_header {
    background: #222;
    height: 58px;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    padding: 0 12px 0 12px;
}

.left_menu {
    position: fixed;
    top: 0;
    left: -100%; /* Скрыто за пределами экрана */
    width: 100%;
    height: 100%;
    background: rgb(0, 0, 0, 0.7);
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    transition: left 0.3s ease;
    z-index: 100;
    padding: 12px;
}

.left_menu.visible {
    left: 0; /* Показываем меню */
}

.left_menu_close {

}
.left_menu_links {
    margin-top: 12px;
    display: flex;
    flex-direction: column;
}
.left_menu_links a {
    border-bottom: 2px solid #444;
    padding: 12px 0 12px 0;
}

.menu_logo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #ce1f1c;
    font-size: 24px;
}

/* header end */

/* video block */

.video_content {
    box-shadow: 0 0 36px rgb(0 0 0 / 10%);
    width: 100%;
    height: 216px;
    transform: scale(1.0);
    position: relative;
    margin-bottom: 18px;
    transition: 0.3s;
    font-size: 16px;
}
.video_content:hover {
    cursor: pointer;
    transform: scale(1.1);
    transition: 0.3s;
}
.video_content:hover .link_video {
    color: #ce1f1c;
    transition: 0.3s;
}
.link_video {
    margin-top: 6px;
}
.video_content a {
    color: #f1f1f1;
    line-height: 18px;
}
.video_preview {
    width: 100%;
    height: 176px;
    position: relative;
    border-radius: 24px;
    box-shadow: 0 0 36px rgba(0, 0, 0, 0.1);
    animation: skeleton-loading 1s infinite ease-in-out;
}

@keyframes skeleton-loading {
    0% {
        background-color: #222;
    }
    50% {
        background-color: #2b2b2b;
    }
    100% {
        background-color: #222;
    }
}

.video_vertical {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.8);
    right: 8px;
    top: 8px;
    width: 24px;
    height: 24px;
    border-radius: 8px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.video_info {
    position: absolute;
    display: flex;
    bottom: 8px;
    left: 0;
    justify-content: space-around;
    height: 28px;
    width: 100%;
    font-size: 12px;
}
.video_time, .video_eye {
    background: rgba(0,0,0,0.6);
    display: flex;
    align-items: center;
    padding: 3px 6px 3px 6px;
    gap: 4px;
    border-radius: 50px;
}

.video_title {
    font-size: 24px;
    color: #f1f1f1;
    margin-top:8px;
}

.video_line {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
}

/* video block end */

/* main */

.best_categories {
    display: flex;
    justify-content: space-between;
    gap: 6px;
    width: auto;
    height: 48px;
    align-items: center;
    margin-bottom: 12px;
    margin-top: 12px;
    overflow-x: scroll;

    scrollbar-width: none; /* Для Firefox */
    -ms-overflow-style: none; /* Для Internet Explorer */
}
.best_categories::-webkit-scrollbar {
    display: none; /* Для Chrome, Safari и Edge */
}

.best_categories a {
    border: 3px solid #ce1f1c;
    padding: 4px 10px 4px 10px;
    border-radius: 32px;
    color: #ce1f1c;
    transition: 0.3s;
}
.best_categories a:hover {
    border: 3px solid #f1f1f1;
    transition: 0.3s;
    color: #f1f1f1;
}

/* main end */


/* video page */

.video_categories {
    display: flex;
    justify-content: flex-start;
    height: 48px;
    align-items: center;
    margin-bottom: 12px;
    gap: 4px;
    white-space: nowrap;

    overflow-x: scroll;

    scrollbar-width: none; /* Для Firefox */
    -ms-overflow-style: none; /* Для Internet Explorer */
}
.video_categories::-webkit-scrollbar {
    display: none; /* Для Chrome, Safari и Edge */
}

.video_categories a {
    border: 3px solid #ce1f1c;
    padding: 4px 10px 4px 10px;
    border-radius: 32px;
    color: #ce1f1c;
    transition: 0.3s;
}
.video_categories a:hover {
    border: 3px solid #f1f1f1;
    transition: 0.3s;
    color: #f1f1f1;
}

:root {
    --plyr-color-main: linear-gradient(to bottom, #ce1f1c, #ce1f1c);
    --plyr-video-control-color: #ffffff;
}

.plyr-player {
    width: 100%;
    height: 100%;
    border-radius: 24px;
    background-color: transparent;
}
.plyr__volume input[type="range"] {
    display: none;
}
.plyr__volume {
    min-width: 0;
    width: 32px;
}
.plyr--video {
    height: 100%;
}
.vbm-bm {
    position: relative;
    border-radius: 24px;
    overflow: hidden;
    max-height: 420px;
    height: 100%;
}

/* Планшеты (до 1024px) */
@media (max-width: 1024px) {
    .vbm-bm {
        max-height: 360px;
    }
}

/* Телефоны (до 768px) */
@media (max-width: 768px) {
    .vbm-bm {
        max-height: 300px;
    }
}

.plyr-logo {
    position: absolute;
    top: 10px;
    right: 24px;
    height: 24px;
    z-index: 10;
    transition: opacity 0.3s ease; /* Плавное исчезновение */
    opacity: 1;
    pointer-events: none;
}

/* video page end */

/* category page */

.category_wallpaper {
    height: 176px;
    width: 100%;
    position: relative;
    border-radius: 24px;
    transition: 0.3s;
    margin-bottom: 24px;
}
.category_wallpaper:hover {
    transform: scale(1.1);
    transition: 0.3s;
}

.category_link {
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 8px 0 0 24px;
    line-height: 56px;
    background: linear-gradient(to bottom, rgba(17, 17, 17, 0), #111);
    width: 100%;
    height: 56px;
}

/* category page end */


/* search */

.search_input {
    width: 100%;
    height: 42px;
    background: #111;
    border: 3px solid #666;
    border-radius: 100px;
    padding-left: 12px;
    color: #f1f1f1;
}
.search_btn {
    background: #ce1f1c;
    height: 42px;
    width: 42px;
    border-radius: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: -40px;
    border: none;
    transition: 0.3s;
}
.search_btn:hover {
    background: #83100f;
    transition: 0.3s;
    cursor: pointer;
}
.width_search {
    width: 420px
}

/* search end */


/* search main */

.search_input_main {
    width: 100%;
    height: 42px;
    background: #111;
    border: 3px solid #666;
    border-radius: 100px;
    padding-left: 12px;
    color: #f1f1f1;
}
.search_btn_main {
    background: #ce1f1c;
    height: 42px;
    width: 42px;
    border-radius: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: -40px;
    border: none;
    transition: 0.3s;
}
.search_btn_main:hover {
    background: #83100f;
    transition: 0.3s;
    cursor: pointer;
}
.width_search_main {
    width: 240px
}

/* search main end */


/* footer */

footer {
    background: #222;
    margin-top: 24px;
    height: 54px;
    width: 100%;
    color: #666;
    line-height: 54px;
}
footer a {
    margin-right: 12px;
}

/* footer end */
